define("wildFuryAnimationDeclaration", ["componentmodelComponentApi", "wildFuryAnimationPort", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, wildFuryAnimationPort, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof wildFuryAnimationDeclaration == 'undefined') {
            var wildFuryAnimationDeclaration = {};
        };
        wildFuryAnimationDeclaration.AnimationDeclaration = function() {};
        wildFuryAnimationDeclaration.AnimationDeclaration = ck_implements(wildFuryAnimationDeclaration.AnimationDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wildFuryAnimationDeclaration.AnimationDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wildFuryAnimationDeclaration.AnimationDeclaration.__name__ = ["wildFuryAnimationDeclaration", "AnimationDeclaration"];
        wildFuryAnimationDeclaration.AnimationDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wildFuryAnimationDeclaration.AnimationDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wildFuryAnimationDeclaration.AnimationDeclaration.prototype.getImplementedPorts = function() {
            return [wildFuryAnimationPort.IAnimationImplementationPort];
        };
        wildFuryAnimationDeclaration.AnimationDeclaration.prototype.getUsedPorts = function() {
            return [];
        };
        wildFuryAnimationDeclaration.AnimationDeclaration.prototype.__class__ = wildFuryAnimationDeclaration.AnimationDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: wildFuryAnimationDeclaration
        };
    });
//# sourceURL=wildFuryAnimationDeclaration.js